﻿.visible-scrollbar {
    position: sticky;
    top: 20px;
    height: 100vh;
    overflow-y: auto;
    scrollbar-width: thin;
}
.product-card {
    border: 1px solid #ddd;
    overflow: hidden;
    text-align: center;
    display: flex;
    flex-direction: column;
    height: 100%;
    position: relative; 
    overflow: hidden; 
    border-radius: 10px;    
    border-radius: 8px;
}

    .product-card img {
  
        width: 100%;
        height: 250px;
        object-fit: fill;
        display: block
    }

/* GRID-2 mode image style */
.grid-2-img {
    height: 450px !important;
   
}

/* GRID-4 mode image style */
.grid-4-img {
    height: 250px !important; /* example — change as needed */
  
}



/*.product-image {
    width: 100%; 
    height: 200px;
    object-fit: fill; 
    display: block; 
}*/

.cRefNo1 {
    position: absolute;
    padding: 5px 10px;
    border-radius: 10px;
    font-size: 0.8rem;
    background-color: var(--color1--);
    color: #fff;
    border-bottom-left-radius: 0px;
    border-top-right-radius: 0px;
}

.bg_grey-7 {
    background-color: #f5f5f5;
}

.irs--round .irs-handle {
    top: 28px !important;
    width: 20px !important;
    height: 20px !important;
}

.bg-color {
    background-color: #f8f9fa;
    border-radius: 10px;
}

/*Grid List*/
.tf-shop-control {
    margin-bottom: 15px;
    gap: 5px;
}

.tf-control-layout {
    display: flex;
    gap: 12px;
}

    .tf-control-layout .tf-view-layout-switch .item {
        color: var(--main);
        opacity: 0.4;
        padding: 0 5px;
        min-height: 34px;
        align-items: center;
        justify-content: center;
        display: flex;
        cursor: pointer;
    }

    .tf-control-layout .tf-view-layout-switch.active .item {
        opacity: 1;
    }

/*pagination css*/
/*.page-item.disabled .page-link {
    color: #999;
    pointer-events: none;
    background-color: #f8f9fa;
}

.page-item.active .page-link {
    background-color: #007bff;
    border-color: #007bff;
    color: white;
}*/

.pagination {
    display: flex;
    list-style: none;
    padding-left: 0;
}

.page-item {
    margin: 0 4px;
}

.page-link {
    display: block;
    padding: 6px 12px;
    text-decoration: none;
    border-radius: 4px;
}

.page-item.active .page-link {
    font-weight: bold;
}
.page-link:hover {   
    color: #ffffff !important;
    background-color: #0d6efd !important;
}

.dropdown-menu {
    min-width: auto !important;
}

.bottom-modal .modal-dialog {
    position: fixed;
    bottom: 0;
    width: 100%;
    height: 50%;
    margin: 0;
    display: flex;
    flex-direction: column;
    max-height: 90vh;
    transform: translateX(-50%) !important;
    transition: transform 0.3s ease-out !important;
    transform: translateY(100%) !important;
}

.bottom-modal.show .modal-dialog {
    transform: translateY(0) !important;
}
